/* setup various functions and devices */

#include <ADuC7020.h>
extern int printf(const char *format, ...); 
   
void Interrupt_Setup(void){
//	IRQ = My_IRQ_Function;					// Specify Interrupt Service Rountine
//	FIQ = My_FIQ_Function;					// Specify Fast Interrupt Routine
	IRQEN = RTOS_TIMER_BIT;	// Specify which interrupts are enabled
											// (General Purpose Timer and Real Time Timer in this case)
											// Interrupt bit assignments are found in "irq.h"
//	FIQEN = ADC_BIT;						// Enable ADC FIQ
	printf("Interrupt Setup Complete\n");
	return;
}

void Timer_Setup(void){
 	T0LD = 41780;						// Set 16bit counter value
	T0CON = 0xC0;					    // Timer 0 enabled with no prescalar
	printf("Timer Setup Complete\n");

}

